D-Bus 1.13.18

Data Fields
DBusList Struct Reference
D-Bus secret internal implementation details » Linked list

## Data Fields
DBusList * | prev
| Previous list node.
DBusList * | next
| Next list node.
void * | data
| Data stored at this element.

## Detailed Description

A node in a linked list.

DBusList is a circular list; that is, the tail of the list points back to the head of the list. The empty list is represented by a NULL pointer.

Definition at line 34 of file dbus-list.h.

The documentation for this struct was generated from the following file:

- dbus-list.h